Skip to content

Live-Aktivität aktualisieren

post

/messages/live_activity/update

Verwenden Sie diesen Endpunkt, um die von Ihrer iOS-App angezeigten Live-Aktivitäten zu aktualisieren und zu beenden. Dieser Endpunkt erfordert eine zusätzliche Einrichtung.

Nachdem Sie eine Live-Aktivität registriert haben, können Sie eine JSON-Nutzlast übergeben, um Ihren Apple-Push-Benachrichtigungsdienst (APNs) zu aktualisieren. Weitere Informationen finden Sie in der Apple-Dokumentation zum Aktualisieren Ihrer Live-Aktivität mit Push-Benachrichtigungs-Nutzlasten.

Wenn content-available nicht gesetzt ist, beträgt die Standardpriorität des Apple-Push-Benachrichtigungsdienstes (APNs) 10. Wenn content-available gesetzt ist, beträgt diese Priorität 5. Weitere Details finden Sie unter Apple-Push-Objekt.

Voraussetzungen

Um diesen Endpunkt zu verwenden, müssen Sie Folgendes tun:

  • Generieren Sie einen API-Schlüssel mit der Berechtigung messages.live_activity.update.
  • Registrieren Sie eine Live-Aktivität remote oder lokal mit dem Braze Swift SDK.

Rate-Limit

Wir wenden auf diesen Endpunkt das standardmäßige Braze-Rate-Limit von 250.000 Anfragen pro Stunde an, wie in API-Rate-Limits dokumentiert.

Anfragetext

1
2
3
4
5
6
7
8
9
{
   "app_id": "(required, string) App API identifier retrieved from the Developer Console.",
   "activity_id": "(required, string) When you register your Live Activity using launchActivity, you use the pushTokenTag parameter to name the Activity’s push token to a custom string. Set activity_id to this custom string to define which Live Activity you want to update.",
   "content_state": "(required, object) You define the ContentState parameters when you create your Live Activity. Pass the updated values for your ContentState using this object. The format of this request must match the shape you initially defined.",
   "end_activity": "(optional, boolean) If true, this request ends the Live Activity.",
   "dismissal_date": "(optional, datetime in ISO-8601 format) The time to remove the Live Activity from the user’s UI. If this time is in the past, the Live Activity will be removed immediately.",
   "stale_date": "(optional, datetime in ISO-8601 format) The time the Live Activity content is marked as outdated in the user’s UI.",
   "notification": "(optional, object ) Include an `apple_push` object to define a push notification that creates an alert for the user."
 }

Request parameters

Parameter Required Data Type Description
app_id Required String App API identifier retrieved from the API Keys page.
activity_id Required String When you register your Live Activity using launchActivity, you use the pushTokenTag parameter to name the Activity’s push token to a custom string.

Set activity_id to this custom string to define which Live Activity you want to update.
content_state Required Object You define the ContentState parameters when you create your Live Activity. Pass the updated values for your ContentState using this object.

The format of this request must match the shape you initially defined.
end_activity Optional Boolean If true, this request ends the Live Activity.
dismissal_date Optional Datetime
(ISO-8601 string)
This parameter defines the time to remove the Live Activity from the user’s UI. If this time is in the past and end_activity is true, the Live Activity will be removed immediately.

If end_activity is false or omitted, this parameter only updates the Live Activity.
stale_date Optional Datetime
(ISO-8601 string)
This parameter tells the system when the Live Activity content is marked as outdated in the user’s UI.
notification Optional Object Include an apple_push object to define a push notification. The behavior of this push notification depends on if the user is active or if the user is using a proxy device.
  • If a notification is included and the user is active on their iPhone when the update is delivered, the updated Live Activity UI will slide down and display like a push notification.
  • If a notification is included and the user is not active on their iPhone, their screen will light up to display the updated Live Activity UI on their lock screen.
  • The notification alert will not display as a standard push notification. Additionally, if a user has a proxy device, like an Apple Watch, the alert will be displayed there.

Example request

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
curl --location --request POST 'https://rest.iad-01.braze.com/messages/live_activity/update' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {YOUR-REST-API-KEY}' \
--data-raw '{
    "app_id": "{YOUR-APP-API-IDENTIFIER}",
    "activity_id": "live-activity-1",
    "content_state": {
        "teamOneScore": 2,
        "teamTwoScore": 4
    },
    "end_activity": false,
    "dismissal_date": "2023-02-28T00:00:00+0000",
    "stale_date": "2023-02-27T16:55:49+0000",
    "notification": {
        "alert": {
            "body": "It's halftime! Let's look at the scores",
            "title": "Halftime"
        }
    }
}'

Antwort

Für diesen Endpunkt gibt es zwei Statuscode-Antworten: 201 und 4XX.

Beispiel für eine erfolgreiche Antwort

Ein Statuscode 201 wird zurückgegeben, wenn die Anfrage korrekt formatiert war und wir die Anfrage erhalten haben. Der Statuscode 201 könnte den folgenden Antworttext zurückgeben.

1
2
3
{
  "message": "success"
}

Beispiel für eine Fehlerantwort

Die Statuscode-Klasse 4XX weist auf einen Client-Fehler hin. Weitere Informationen zu möglichen Fehlern finden Sie im Artikel API-Fehler und -Antworten.

Der Statuscode 400 könnte den folgenden Antworttext zurückgeben.

1
2
3
{
    "error": "\nProblem:\n  message body does not match declared format\nResolution:\n  when specifying application/json as content-type, you must pass valid application/json in the request's 'body' "
}
New Stuff!